# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::Completion Class Reference

Completion objects are used to convey the return status and value from functions. Handle for a Completion type. More...

`#include <completion.h>`

Inheritance diagram for KJS::Completion:

[legend]
Collaboration diagram for KJS::Completion:

[legend]
List of all members.

## Public Member Functions

| Completion (ComplType c=Normal, const Value &v=Value(), const Identifier &t=Identifier::null())
ComplType | complType () const
Value | value () const
Identifier | target () const
bool | isValueCompletion () const

## Detailed Description

Completion objects are used to convey the return status and value from functions. Handle for a Completion type.

See FunctionImp::execute()

See also:
  FunctionImp

Definition at line 49 of file completion.h.

The documentation for this class was generated from the following file:

- completion.h

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:08 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003